Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.config
Interface ConfigValidator

All Superinterfaces:
  Configuration

All Known Implementing Classes:
  ConfigValidatorImpl

    public interface ConfigValidator

extends Configuration

The interface for validators of configuration. Extends : `Configuration` Factory : `ConfigFactory`

Method Summary
`Configuration` | `getConfig()`
`List<Object>` | `getUnfoundPropertiesAfterValidation()` will do the validation of the current config ( if not done yet ) and return the properties that were not found.
`void` | `invalidateCache()` This method will invalidate the current config.
`boolean` | `isValid()`

Methods inherited from interface be.ehealth.technicalconnector.config.Configuration
`containsKey, getBooleanProperty, getCurrentConfig, getDurationProperty, getIntegerProperty, getLongProperty, getMatchingProperties, getProperty, getProperty, getURLProperty, hasDurationProperty, hasMatchingProperty, hasProperty, invalidate, isReloading, reload, setConfigLocation, setProperty`

Method Detail

### getConfig

    Configuration getConfig()
                            throws TechnicalConnectorException

  Returns:
    the current configuration
  Throws:
    `TechnicalConnectorException`

### isValid

    boolean isValid()
                    throws TechnicalConnectorException

  Returns:
    if the current config is valid;
  Throws:
    `TechnicalConnectorException`

### getUnfoundPropertiesAfterValidation

    List<Object> getUnfoundPropertiesAfterValidation()
                                                     throws TechnicalConnectorException

  will do the validation of the current config ( if not done yet ) and return the properties that were not found.

  Returns:
    List of property strings that were not found
  Throws:
    `TechnicalConnectorException` - if exception occurs while initializeing config.

### invalidateCache

    void invalidateCache()

  This method will invalidate the current config.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.